[PATCH] generic/226: improve mkfs and mount error handling

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



If 226's attempt to make a scratch device fails, it can inadvertently
mount and run on a pre-existing scratch file system.  This can lead to
invalid test results unless the mkfs failure is separately noted in
226.full.

Noted while debugging an ext4 inline data test failure.  Small ext4 file
systems, as used by this test, use small inodes that are incompatible
with inline data.

Signed-off-by: Eric Whitney <enwlinux@xxxxxxxxx>
---
 tests/generic/226 | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/tests/generic/226 b/tests/generic/226
index b98e889..44b60ff 100755
--- a/tests/generic/226
+++ b/tests/generic/226
@@ -43,8 +43,9 @@ rm -f $seqres.full
 
 umount $SCRATCH_DEV 2>/dev/null
 echo "--> mkfs 256m filesystem"
-_scratch_mkfs_sized `expr 256 \* 1024 \* 1024` >> $seqres.full 2>&1
-_scratch_mount
+_scratch_mkfs_sized `expr 256 \* 1024 \* 1024` >> $seqres.full 2>&1 \
+	|| _fail "mkfs failed"
+_scratch_mount >> $seqres.full 2>&1 || _fail "mount failed"
 
 loops=16
 
-- 
1.9.1

--
To unsubscribe from this list: send the line "unsubscribe linux-ext4" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html




[Index of Archives]     [Reiser Filesystem Development]     [Ceph FS]     [Kernel Newbies]     [Security]     [Netfilter]     [Bugtraq]     [Linux FS]     [Yosemite National Park]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Samba]     [Device Mapper]     [Linux Media]

  Powered by Linux